BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT232B_EEPROM_STRUCTURE Class Reference

EEPROM structure specific to FT232B and FT245B devices. Inherits from FT_EEPROM_DATA. More...

Inheritance diagram for FTD2XX_NET.FTDI.FT232B_EEPROM_STRUCTURE:

## Public Attributes
bool | PullDownEnable = false
| Determines if IOs are pulled down when the device is in suspend More...
bool | SerNumEnable = true
| Determines if the serial number is enabled More...
bool | USBVersionEnable = true
| Determines if the USB version number is enabled More...
UInt16 | USBVersion = 0x0200
| The USB version number. Should be either 0x0110 (USB 1.1) or 0x0200 (USB 2.0) More...
Public Attributes inherited from FTD2XX_NET.FTDI.FT_EEPROM_DATA
UInt16 | VendorID = 0x0403
| Vendor ID as supplied by the USB Implementers Forum More...
UInt16 | ProductID = 0x6001
| Product ID More...
string | Manufacturer = "FTDI"
| Manufacturer name string More...
string | ManufacturerID = "FT"
| Manufacturer name abbreviation to be used as a prefix for automatically generated serial numbers More...
string | Description = "USB-Serial Converter"
| Device description string More...
string | SerialNumber = ""
| Device serial number string More...
UInt16 | MaxPower = 0x0090
| Maximum power the device needs More...
bool | SelfPowered = false
| Indicates if the device has its own power supply (self-powered) or gets power from the USB port (bus-powered) More...
bool | RemoteWakeup = false
| Determines if the device can wake the host PC from suspend by toggling the RI line More...

## Detailed Description

EEPROM structure specific to FT232B and FT245B devices. Inherits from FT_EEPROM_DATA.

## Member Data Documentation

## ◆ PullDownEnable

bool FTD2XX_NET.FTDI.FT232B_EEPROM_STRUCTURE.PullDownEnable = false

Determines if IOs are pulled down when the device is in suspend

## ◆ SerNumEnable

bool FTD2XX_NET.FTDI.FT232B_EEPROM_STRUCTURE.SerNumEnable = true

Determines if the serial number is enabled

## ◆ USBVersion

UInt16 FTD2XX_NET.FTDI.FT232B_EEPROM_STRUCTURE.USBVersion = 0x0200

The USB version number. Should be either 0x0110 (USB 1.1) or 0x0200 (USB 2.0)

## ◆ USBVersionEnable

bool FTD2XX_NET.FTDI.FT232B_EEPROM_STRUCTURE.USBVersionEnable = true

Determines if the USB version number is enabled

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs